Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.utils
Class TemplateEngineUtils.Slf4jLogChute

    java.lang.Object
      be.ehealth.technicalconnector.utils.TemplateEngineUtils.Slf4jLogChute

All Implemented Interfaces:
  org.apache.velocity.runtime.log.LogChute

Enclosing class:
  TemplateEngineUtils

    public static class TemplateEngineUtils.Slf4jLogChute

extends Object
implements org.apache.velocity.runtime.log.LogChute

Field Summary

Fields inherited from interface org.apache.velocity.runtime.log.LogChute
`DEBUG_ID, DEBUG_PREFIX, ERROR_ID, ERROR_PREFIX, INFO_ID, INFO_PREFIX, TRACE_ID, TRACE_PREFIX, WARN_ID, WARN_PREFIX`

Constructor Summary
`TemplateEngineUtils.Slf4jLogChute()`

Method Summary
`void` | `init(org.apache.velocity.runtime.RuntimeServices rs)`
`boolean` | `isLevelEnabled(int level)`
`void` | `log(int level, String message)`
`void` | `log(int level, String message, Throwable t)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateEngineUtils.Slf4jLogChute

    public TemplateEngineUtils.Slf4jLogChute()

Method Detail

### init

    public void init(org.apache.velocity.runtime.RuntimeServices rs)

  Specified by:
    `init` in interface `org.apache.velocity.runtime.log.LogChute`

### log

    public void log(int level,
                    String message)

  Specified by:
    `log` in interface `org.apache.velocity.runtime.log.LogChute`

### log

    public void log(int level,
                    String message,
                    Throwable t)

  Specified by:
    `log` in interface `org.apache.velocity.runtime.log.LogChute`

### isLevelEnabled

    public boolean isLevelEnabled(int level)

  Specified by:
    `isLevelEnabled` in interface `org.apache.velocity.runtime.log.LogChute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.